playerc_actarray_t Struct Reference
actarray

Actarray device data. More...

`#include <playerc.h>`

## Public Attributes

playerc_device_t | info
| Device info; must be at the start of all device structures. More...
uint32_t | actuators_count
| The number of actuators in the array. More...
player_actarray_actuator_t * | actuators_data
| The actuator data, geometry and motor state. More...
uint32_t | actuators_geom_count
| The number of actuators we have geometry for. More...
player_actarray_actuatorgeom_t * | actuators_geom
uint8_t | motor_state
| Reports if the actuators are off (0) or on (1)
player_point_3d_t | base_pos
| The position of the base of the actarray. More...
player_orientation_3d_t | base_orientation
| The orientation of the base of the actarray. More...

## Detailed Description

Actarray device data.

## Member Data Documentation

uint32_t playerc_actarray_t::actuators_count

The number of actuators in the array.

player_actarray_actuator_t* playerc_actarray_t::actuators_data

The actuator data, geometry and motor state.

uint32_t playerc_actarray_t::actuators_geom_count

The number of actuators we have geometry for.

player_orientation_3d_t playerc_actarray_t::base_orientation

The orientation of the base of the actarray.

player_point_3d_t playerc_actarray_t::base_pos

The position of the base of the actarray.

playerc_device_t playerc_actarray_t::info

Device info; must be at the start of all device structures.

The documentation for this struct was generated from the following file:

- playerc.h

Last updated 12 September 2005 21:38:45